Bug 109536 - fix ports/www/apache22 rc.d script for multiple profiles
Summary: fix ports/www/apache22 rc.d script for multiple profiles
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Clement Laforet
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-02-25 20:30 UTC by Eygene Ryabinkin
Modified: 2007-03-17 16:03 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (764 bytes, patch)
2007-02-25 20:30 UTC, Eygene Ryabinkin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eygene Ryabinkin 2007-02-25 20:30:04 UTC
The port www/apache22 installs its rc.d script without the '.sh'
extension since 5.x or 6.x. But the script references itself
as the apache22.sh. This breaks the multiple Apache profiles
case, since script is trying to invoke itself but ises the wrong name.

Fix: The following patch will cure the things on 6.x and 7.x, but I
do not have 4.x at hand to test if it will work on it.
How-To-Repeat: Look into the files/apache22.sh.in, line 91: you will see that
the script tries to call /usr/local/etc/rc.d/apache22.sh.
Comment 1 Edwin Groothuis freebsd_committer 2007-02-25 20:30:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clement

Over to maintainer
Comment 2 Eygene Ryabinkin 2007-02-26 06:53:48 UTC
Tried the patch for the www/apache22 at the FreeBSD 4.11: it works.
-- 
Eygene
Comment 3 Clement Laforet freebsd_committer 2007-03-17 16:03:34 UTC
State Changed
From-To: open->closed

Committed, thanks!